.multistep_form {
    padding: 0 var(--side-spacing);
    display: grid;
    margin-bottom: 30px;
}
.form__messages {
    position: relative;
    z-index: 2;
    display: flex;
    flex-direction: column;
    align-items: center;
}
.form__message {
    transition: max-height .3s ease, opacity .3s ease;
    overflow: hidden;
    max-height: 200px;
}

.form__message[tabindex] {
    opacity: 0;
    max-height: 0px;
}

.site-content {
    background: #fff;
}

.site-main > .mr-cont {
    margin-left: auto;
    margin-right: auto;
}

@media (min-width: 992px) {
    .multistep_form {
        grid-template-columns: 1fr 2fr;
    }
    .multistep_form :is( .form_header, .form_tiles) {
        grid-column-end: span 2;
    }
}

@media (min-width: 1300px) {
    .multistep_form {
        grid-template-columns: 1fr 2fr;
    }
}

.multistep_form .form_tiles {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    justify-items: center;
    grid-column-gap: 35px;
}


/* @media (min-width: 992px) {
    .multistep_form .form_tiles {
        grid-template-columns: repeat(2, minmax(1px, 1fr));
    }
    
}

@media (min-width: 1300px) {
    .multistep_form .form_tiles {
        grid-template-columns: repeat(4, minmax(1px, 1fr));
    }
} */

.multistep_form .tiles_tile {
    width: 100%;
    margin-bottom: 20px;
}

.multistep_form .tiles_tile input {
    display: none;
}

.multistep_form .tiles_tile input+div {
    --outline-width: 10px;
    --outline-blur: 15px;
    --outline-color: transparent;
    background: var(--bg-main);
    border-radius: 0 0 10px 0;
    box-shadow: 4px 4px 8px 0 rgb(186 0 100 / 50%), 0 0 var(--outline-blur) var(--outline-width) var(--outline-color);
    transition: box-shadow .3s ease;
    width: 100%;
    padding: 20px;
}

.multistep_form .tiles_tile input:checked+div {
    --outline-width: 3px;
    --outline-blur: 0px;
    --outline-color: var(--color-link);
}

.multistep_form .tiles_tile input+div img {
    opacity: 0.2;
    transition: opacity .3s ease;
    width: 200px;
    height: 160px;
    object-fit: contain;
    max-width: 100%;
    align-self: center;
}

.multistep_form .tiles_tile input:checked+div img {
    opacity: 1;
}

.multistep_form .tiles_tile input+div img+* {
    text-align: center;
    padding: 0 20px;
    color: var(--color-link);
    margin: 20px 0 0 0;
}

@media (min-width: 1300px) {
    .multistep_form .tiles_tile input+div img+* {
        min-height: 60px;
        display: flex;
        align-items: center;
        justify-content: center;
        margin: 40px 0 20px 0;
    }
}

.multistep_form .step_number,
.multistep_form .step_title {}

.multistep_form .step_number {}

.multistep_form .step_title {
    font-size: 2rem;
    color: var(--color-link);
}

.multistep_form .steps_step {}

.multistep_form .steps_step>.field-container {
    padding-top: 3.5rem;
    pointer-events: none;
}

.multistep_form .steps_step>.field-container>* {
    pointer-events: auto;
}

.multistep_form .form_field {
    padding: .9rem 1rem 1.1rem 3rem;
    border: 1px solid var(--color-black);
    transition: border-color .3s ease;
    margin-top: 1.5rem;
    color: var(--color-link)
}

.multistep_form .form_field:not(:placeholder-shown) {
    border-color: var(--color-lightpink);
    transition-delay: 1s;
}

body:not(.using-mouse) .multistep_form [type="checkbox"],
body:not(.using-mouse) .multistep_form [type="radio"] {
    opacity: 0!important;
}

body:not(.using-mouse) .multistep_form [type="checkbox"]:focus-visible + span,
body:not(.using-mouse) .multistep_form [type="radio"]:focus-visible + span {
    outline: 3px dashed var(--color-accent)!important;
    opacity: 1!important;
    color: var(--color-link)!important;
    outline-offset: 2px;    
}

.multistep_form .field-label {
    font-size: 2rem;
    color: var(--color-gray);
}

.multistep_form .field-label label {
    margin-top: 2.2rem;
}

.multistep_form .field-label label+label {
    margin-top: 1.8rem;
}

.multistep_form .field-label label>input {
    position: absolute;
    opacity: 0;
}

.multistep_form .field-label label>:is(input+.option, input+.placeholder) {
    padding-left: 3.8rem;
    position: relative;
    transition: color .3s ease;
}

.multistep_form .field-label label>:is(input:checked+.option, input:checked+.placeholder) {
    color: var(--color-link);
}

.multistep_form .field-label label input+.placeholder+.option {
    grid-column-end: span 2;
    transition: height .3s ease, opacity .2s ease, margin-top .3s ease;
    overflow: hidden;
    height: 5rem;
    padding: .5em;
}

.multistep_form .field-label label input:checked+.placeholder+.option {
    margin-top: 1.8rem;
    transition: height .3s ease, opacity .7s ease, margin-top .3s ease;
}

.multistep_form .field-label label input:not(:checked)+.placeholder+.option {
    height: 0px;
    opacity: 0;
}

.multistep_form .field-label label input+.placeholder+.option .form_field {
    padding-left: 3.8rem;
    margin-top: 0;
}

.multistep_form .field-label label>:is(input+.option, input+.placeholder)::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 0;
    transform: translateY(-50%);
    border: 1px solid var(--color-link);
    border-radius: 50px;
    width: 16px;
    height: 16px;
    transition: opacity .2s ease, background .4s ease;
    opacity: 1;
}

.multistep_form .field-label label>:is(input[type="checkbox"]+.option, input[type="checkbox"]+.placeholder)::before {
    border-radius: 0px;
}

.multistep_form .field-label label>:is(input:checked+.option, input:checked+.placeholder)::before {
    background: var(--color-accent);
}

.multistep_form .field-label label>:is(input:not(:checked):hover+.option, input:not(:checked):hover+.placeholder)::before {
    background: var(--color-accent);
    opacity: 0.5;
}

.multistep_form .form_fields {
    margin-top: 20px;
}

@media (min-width: 992px) {
    .multistep_form .form_fields {
        border-left: 1px solid var(--color-gray);
        padding-left: 3.5rem;
        padding-bottom: 3rem;
        margin-top: unset;
    }
}

.multistep_form .fieldset_title {
    margin: 0;
}

.multistep_form .steps_button {
    transition: opacity .3s ease;
}

.multistep_form .steps_button+.steps_button {
    margin-top: 4.2em;
}

.multistep_form .form-nav>* {
    width: 220px;
    text-align: center;
    padding: .9rem 0;
    border: none;
    border-radius: 0 0 10px 0;
    background-color: var(--btn-background);
    color: var(--btn-color);
    transition: background-color .3s ease, opacity .3s ease;
    transition-delay: .1s;
    font-size: 2.5rem;
    font-weight: var(--font-weight--medium);
    cursor: pointer;
}

.multistep_form .form-nav>*:hover {
    background-color: var(--btn-background--hover);
    color: var(--btn-color--hover);
    transition-delay: 0s;
}

.multistep_form .form-nav>:disabled {
    opacity: .2;
    pointer-events: none;
}

.multistep_form {
    padding-bottom: 7.8rem;
    position: relative;
}

.multistep_form .form-nav {
    position: absolute;
    bottom: 0;
    left: var(--side-spacing);
    right: var(--side-spacing);
}

.multistep_form [data-available="false"],
.multistep_form .steps_step:not([data-completed="pending"]),
.multistep_form:not([data-state="start"]) :is(.form_tiles, .form-nav_start),
.multistep_form:not([data-state="end"]) .form-nav_submit,
.multistep_form[data-state="end"] .form-nav_next,
.multistep_form[data-state="start"] :is(.form_steps, .steps_step, .form-nav_prev, .form-nav_next, .form-nav_submit) {
    position: absolute;
    left: -300vw;
    height: 1px;
    overflow: hidden;
    /* display: none; */
}

.multistep_form[data-state="start"] .form_fields {
    padding: 0;
}

.multistep_form .form-nav_start {
    margin-left: auto;
    margin-right: auto;
}

.multistep_form .form-nav_prev {
    margin-left: auto;
    border-radius: 10px 0 0 0;
}

.multistep_form :is(.form-nav_next, .form-nav_submit) {
    margin-left: 3.5rem;
}

.multistep_form .form-step-tip {
    color: var(--color-link);
}

.steps_button:not(:is([data-completed="pending"], [data-completed="true"])) {
    opacity: .2;
}

.steps_button>* {
    pointer-events: none;
}